! Copyright (c) 2015 Jiaxing Qi <jiaxing.qi@uni-siegen.de>
! Copyright (c) 2016 Tobias Schneider <tobias1.schneider@student.uni-siegen.de>
! Copyright (c) 2020 Peter Vitt <peter.vitt2@uni-siegen.de>
!
! Redistribution and use in source and binary forms, with or without
! modification, are permitted provided that the following conditions are met:
!
! 1. Redistributions of source code must retain the above copyright notice,
! this list of conditions and the following disclaimer.
!
! 2. Redistributions in binary form must reproduce the above copyright notice,
! this list of conditions and the following disclaimer in the documentation
! and/or other materials provided with the distribution.
!
! THIS SOFTWARE IS PROVIDED BY THE UNIVERSITY OF SIEGEN “AS IS” AND ANY EXPRESS
! OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
! OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
! IN NO EVENT SHALL UNIVERSITY OF SIEGEN OR CONTRIBUTORS BE LIABLE FOR ANY
! DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
! (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
! LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
! ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
! (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
! SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

?? text :: vel_d3q27( u_x, u_y, u_z, f, inv_rho )
    ?u_x? =   (?f?(4)  - ?f?(1))  &
      &     + (?f?(12) - ?f?(11)) &
      &     + (?f?(14) - ?f?(13)) &
      &     + (?f?(17) - ?f?(15)) &
      &     + (?f?(18) - ?f?(16)) &
      &     + (?f?(23) - ?f?(19)) &
      &     + (?f?(24) - ?f?(20)) &
      &     + (?f?(25) - ?f?(21)) &
      &     + (?f?(26) - ?f?(22))

    ?u_y? =   (?f?(5)  - ?f?(2))  &
      &     + (?f?(9)  - ?f?(7))  &
      &     + (?f?(10) - ?f?(8))  &
      &     + (?f?(16) - ?f?(15)) &
      &     + (?f?(18) - ?f?(17)) &
      &     + (?f?(21) - ?f?(19)) &
      &     + (?f?(22) - ?f?(20)) &
      &     + (?f?(25) - ?f?(23)) &
      &     + (?f?(26) - ?f?(24))

    ?u_z? =   (?f?(6)  - ?f?(3))  &
      &     + (?f?(8)  - ?f?(7))  &
      &     + (?f?(10) - ?f?(9))  &
      &     + (?f?(13) - ?f?(11)) &
      &     + (?f?(14) - ?f?(12)) &
      &     + (?f?(20) - ?f?(19)) &
      &     + (?f?(22) - ?f?(21)) &
      &     + (?f?(24) - ?f?(23)) &
      &     + (?f?(26) - ?f?(25))

    ?u_x? = ?u_x? * ?inv_rho?
    ?u_y? = ?u_y? * ?inv_rho?
    ?u_z? = ?u_z? * ?inv_rho?
?? end text vel_d3q27
